import { AnchoredCategorySeries } from "./AnchoredCategorySeries";
import { IHorizontalAnchoredCategorySeriesInteractionManager } from "./IHorizontalAnchoredCategorySeriesInteractionManager";
import { Type, Point } from "igniteui-react-core";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { NumericYAxis } from "./NumericYAxis";
import { NumericAxisBase } from "./NumericAxisBase";
import { CategoryMode } from "./CategoryMode";
import { SeriesPlotAreaMarginHorizontalMode } from "./SeriesPlotAreaMarginHorizontalMode";
import { SeriesPlotAreaMarginVerticalMode } from "./SeriesPlotAreaMarginVerticalMode";
import { Axis } from "./Axis";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { Rect } from "igniteui-react-core";
import { ScalerParams } from "./ScalerParams";
import { FastItemsSourceEventAction } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class HorizontalAnchoredCategorySeries extends AnchoredCategorySeries {
    static $t: Type;
    private abx;
    get aby(): IHorizontalAnchoredCategorySeriesInteractionManager;
    oz(): void;
    ci(): SeriesPlotAreaMarginHorizontalMode;
    cj(): SeriesPlotAreaMarginVerticalMode;
    xAxis: CategoryAxisBase;
    yAxis: NumericYAxis;
    protected b0(): SeriesHitTestMode;
    yj(): CategoryAxisBase;
    yz(): NumericAxisBase;
    wi(a: Point): Rect;
    private acb;
    protected ab3(a: Point, b: Point, c: boolean): boolean;
    aj(a: Point): Point[][];
    ak(a: Point): Point[][];
    gu(a: Point, b: boolean): boolean;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    i3(a: Point, b: boolean, c: boolean): number;
    j8(a: Point, b: boolean): number;
    j6(a: Point, b: boolean): number;
    im(a: Point, b: number, c: Axis, d: ScalerParams, e: number): number;
    v5(a: Point, b: boolean, c: boolean): Point;
    fetchXAxis(): Axis;
    fetchYAxis(): Axis;
    aa7(a: Axis): void;
    aa8(a: Axis): void;
    zf(): boolean;
    protected abt: CategoryAxisBase;
    protected abz: NumericAxisBase;
    ab7(a: CategoryAxisBase): void;
    ab8(a: NumericYAxis): void;
    yd(a: number, b: number): any[];
    protected q4(a: any, b: string, c: any, d: any): void;
    protected o8(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    ab1(a: any): boolean;
    ab2(a: any): boolean;
    private abv;
    get abw(): CategoryMode;
    set abw(a: CategoryMode);
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
